public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anna Vyalkova" <cyber+gentoo@sysrq.in>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/starlette/
Date: Tue, 14 Dec 2021 07:14:04 +0000 (UTC)	[thread overview]
Message-ID: <1639465345.455d5bbd08e18d836476d51d66b7679245965b2a.cybertailor@gentoo> (raw)

commit:     455d5bbd08e18d836476d51d66b7679245965b2a
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Fri Dec 10 07:56:15 2021 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Tue Dec 14 07:02:25 2021 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=455d5bbd

dev-python/starlette: add 0.17.1

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/starlette/Manifest                |  1 +
 dev-python/starlette/metadata.xml            |  3 +-
 dev-python/starlette/starlette-0.17.1.ebuild | 59 ++++++++++++++++++++++++++++
 3 files changed, 61 insertions(+), 2 deletions(-)

diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index 18540adc6..4865dbb97 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -1 +1,2 @@
 DIST starlette-0.14.2.tar.gz 438350 BLAKE2B 862f1f6526f194e0dfd52e14860b63fbd97507a4a6d694d71e44041edbb435608a1e3511144e6fb3e8b39405672baf81e00685ad3928aebb244e566cfcd665d0 SHA512 4321d3d1890c49dea53d7923b456772ecc9d28083d28392e0e9cd1f39f33180cc1cb28914bee443849fa8c87015dd99610ea18e03f0101b0eaf3f8df56249fab
+DIST starlette-0.17.1.tar.gz 403781 BLAKE2B 75de462afc507d89159f17002eb2acc5453520ad312573d5697f5da8fc7d76fcb2407bf41086c923a60a59766f5ac02de1b003962a4d1031c062bd80a0d50e6c SHA512 a8f8cee0dc40d19eab62996f4ef1230fa758375fa9b51e15eae5c906a89b76519ebe4e423aa567d73e4c055cef63e9bbae11b47d4372e28b615f6edaf22a06a7

diff --git a/dev-python/starlette/metadata.xml b/dev-python/starlette/metadata.xml
index a507be0a7..3287f65d2 100644
--- a/dev-python/starlette/metadata.xml
+++ b/dev-python/starlette/metadata.xml
@@ -1,6 +1,5 @@
 <?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
     <maintainer type="person">
         <email>piotr.staroszczyk@get24.org</email>

diff --git a/dev-python/starlette/starlette-0.17.1.ebuild b/dev-python/starlette/starlette-0.17.1.ebuild
new file mode 100644
index 000000000..da23a8bd6
--- /dev/null
+++ b/dev-python/starlette/starlette-0.17.1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="dev-python/mkdocs-material"
+DOCS_AUTODOC=1
+
+inherit distutils-r1 docs optfeature
+
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+	https://www.starlette.io/
+	https://github.com/encode/starlette
+"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+# trio tests are completely broken
+RESTRICT="test"
+
+RDEPEND="dev-python/anyio[${PYTHON_USEDEP}]"
+BDEPEND="test? (
+	dev-python/aiosqlite[${PYTHON_USEDEP}]
+	dev-python/databases[${PYTHON_USEDEP}]
+	dev-python/itsdangerous[${PYTHON_USEDEP}]
+	dev-python/jinja[${PYTHON_USEDEP}]
+	dev-python/python-multipart[${PYTHON_USEDEP}]
+	dev-python/pyyaml[${PYTHON_USEDEP}]
+	dev-python/sse-starlette[${PYTHON_USEDEP}]
+	dev-python/trio[${PYTHON_USEDEP}]
+	dev-python/ujson[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# do not install LICENSE to /usr/
+	sed -i -e '/data_files/d' setup.py || die
+	# do not depend on pytest-cov and fail on DeprecationWarning
+	rm setup.cfg || die
+
+	distutils-r1_python_prepare_all
+}
+
+pkg_postinst() {
+	optfeature "Required if you want to use Jinja2Templates" dev-python/jinja
+	optfeature "Required if you want to support form parsing, with request.form()" dev-python/python-multipart
+	optfeature "Required for SessionMiddleware support." dev-python/itsdangerous
+	optfeature "Required for SchemaGenerator support." dev-python/pyyaml
+	optfeature "Required if you want to use UJSONResponse." dev-python/ujson
+	optfeature "Server Sent Events" dev-python/sse-starlette
+}


             reply	other threads:[~2021-12-14  7:14 UTC|newest]

Thread overview: 10+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-14  7:14 Anna Vyalkova [this message]
  -- strict thread matches above, loose matches on Subject: below --
2021-12-15 10:35 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/starlette/ Andrew Ammerlaan
2021-05-26  1:57 Anna Vyalkova
2020-12-18 19:55 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-12-18 19:16 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-09-24 13:01 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-09-24 12:50 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-07-05 11:51 Andrew Ammerlaan
2020-05-02 10:00 Andrew Ammerlaan
2020-04-16  9:59 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-16  9:57 ` [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-19 19:07 Andrew Ammerlaan
2020-03-18 19:13 Andrew Ammerlaan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1639465345.455d5bbd08e18d836476d51d66b7679245965b2a.cybertailor@gentoo \
    --to=cyber+gentoo@sysrq.in \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox